org.eclipse.incquery.runtime.localsearch.plan

## Class SearchPlanExecutor

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.plan.SearchPlanExecutor

-     public class SearchPlanExecutor
      extends java.lang.Object

  A search plan executor is used to execute `SearchPlan` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPlanExecutor(SearchPlan plan, ISearchContext context, java.util.Map<PVariable,java.lang.Integer> variableMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdapters(java.util.List<ILocalSearchAdapter> adapter)`
    `double` | `cost()` Calculates the cost of the search plan.
    `boolean` | `execute(MatchingFrame frame)`
    `ISearchContext` | `getContext()`
    `int` | `getCurrentOperation()`
    `SearchPlan` | `getSearchPlan()`
    `com.google.common.collect.BiMap<java.lang.Integer,PVariable>` | `getVariableMapping()`
    `void` | `printDebugInformation()`
    `void` | `removeAdapters(java.util.List<ILocalSearchAdapter> adapter)`
    `void` | `resetPlan()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchPlanExecutor

          public SearchPlanExecutor(SearchPlan plan,
                                    ISearchContext context,
                                    java.util.Map<PVariable,java.lang.Integer> variableMapping)

  - ### Method Detail

    - #### getVariableMapping

          public com.google.common.collect.BiMap<java.lang.Integer,PVariable> getVariableMapping()

    - #### getCurrentOperation

          public int getCurrentOperation()

    - #### getSearchPlan

          public SearchPlan getSearchPlan()

    - #### addAdapters

          public void addAdapters(java.util.List<ILocalSearchAdapter> adapter)

    - #### removeAdapters

          public void removeAdapters(java.util.List<ILocalSearchAdapter> adapter)

    - #### cost

          public double cost()

      Calculates the cost of the search plan.

    - #### execute

          public boolean execute(MatchingFrame frame)
                          throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### resetPlan

          public void resetPlan()

    - #### printDebugInformation

          public void printDebugInformation()

    - #### getContext

          public ISearchContext getContext()